Summary: Experimental GNU Compiler System
Name: egcs
Version: 1.1.2
Release: 1
Group: Development/Languages
Copyright: GPL
Url: http://egcs.cygnus.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://egcs.cygnus.com/pub/egcs/releases/egcs-%{version}/egcs-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-root

%description
A compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment.

This package contains all the components of egcs, including c, c++, objc, g77,
libstdc++ and libstdc++-devel.


%prep
%setup -q


%build
rm -rf obj-i386-redhat-linux
mkdir  obj-i386-redhat-linux
cd     obj-i386-redhat-linux
../configure --prefix=/usr --enable-shared --enable-threads i386-redhat-linux
make MAKEINFO="makeinfo --no-split" bootstrap-lean


%install
rm -rf $RPM_BUILD_ROOT
cd obj-i386-redhat-linux
make prefix=$RPM_BUILD_ROOT/usr MAKEINFO="makeinfo --no-split" install
strip $RPM_BUILD_ROOT/usr/bin/*
strip $RPM_BUILD_ROOT/usr/lib/gcc-lib/i386-redhat-linux/egcs-*/\
{cc1,cc1obj,cc1plus,collect2,cpp,f771}
gzip -9f $RPM_BUILD_ROOT/usr/info/*

ln -sf i386-redhat-linux-gcc	$RPM_BUILD_ROOT/usr/bin/gcc
ln -sf gcc			$RPM_BUILD_ROOT/usr/bin/cc
ln -sf g++			$RPM_BUILD_ROOT/usr/bin/c++
ln -sf g77			$RPM_BUILD_ROOT/usr/bin/f77
ln -sf gcc.1			$RPM_BUILD_ROOT/usr/man/man1/cc.1
ln -sf g++.1			$RPM_BUILD_ROOT/usr/man/man1/c++.1
ln -sf g77.1			$RPM_BUILD_ROOT/usr/man/man1/f77.1

mkdir -p $RPM_BUILD_ROOT/lib
FULLVER=`$RPM_BUILD_ROOT/usr/bin/i386-redhat-linux-gcc --version`
ln -sf ../usr/lib/gcc-lib/i386-redhat-linux/$FULLVER/cpp $RPM_BUILD_ROOT/lib/cpp
ln -sf cccp.1		$RPM_BUILD_ROOT/usr/man/man1/cpp.1


%post
/sbin/install-info /usr/info/cpp.info.gz /usr/info/dir
/sbin/install-info /usr/info/gcc.info.gz /usr/info/dir
/sbin/install-info /usr/info/g77.info.gz /usr/info/dir
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/cpp.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/gcc.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/g77.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB ChangeLog FAQ INSTALL MAINTAINERS README
/lib/cpp
/usr/bin/*
/usr/i386-redhat-linux
/usr/include/g++
/usr/info/*
/usr/lib/gcc-lib
/usr/lib/libstdc++.*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 15 1999 Hao Li <hli@wag.caltech.edu>
- egcs-1.1.2-1.

* Tue Mar  9 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 1.1.2pre3-1. This is the all-in-one version. Sub-package version
  is dropped and one can always grab my spec file for egcs-1.1.2pre2-1, change
  nothing but the version number, and build a sub-package version himself.

* Sat Feb 27 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 1.1.2pre2-2. This is the MSC version.
- Combined all six sub-packages into a single one since they will always be
  fully installed.

* Sat Feb 27 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 1.1.2pre2-1.

* Mon Feb 22 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 1.1.2pre1-1. Changes include:
- Renamed libstdc++ and libstdc++-devel sub-packages to egcs so that we can
  start from release 1;
- Since %{version} cannot contain "-" we renamed %{version} from 1.1.2-pre1
  which is given by egcs author to 1.1.2pre1. When the "pre1" is gone the
  exception handling in %Source and %setup can be removed.

* Sun Feb  7 1999 Hao Li <hli@wag.caltech.edu>
- Upgraded to 1.1.1-2. Changes include:
- Included /usr/bin/c++filt since binutils-2.9.1.0.20 no longer includes it;
- Changed build host from i386-linux to i386-redhat-linux;
- Removed STDC_RELEASE so that libstdc++ shares the same release number
  with egcs. This may cause some version reversals but I know how to handle
  them.

* Mon Dec  7 1998 Hao Li <hli@wag.caltech.edu>
- After my clean-up this spec file works only on i386-linux.
- Compared with standard "make install", /usr/bin/c++filt and 
  /usr/lib/libiberty.a are the only two files left out since they conflict 
  with the ones from binutils-2.9.1.0.15-1.
- Several files under /usr/bin generated by "make install" are duplicated
  so I changed them from real file to symbolic links. These include:
  	gcc -> i386-linux-gcc 
  	c++ -> g++
  These two links under /usr/bin are added:
  	cc  -> gcc
	f77 -> g77
